package main

import (
    "fmt"
    "gitfox.ru/victor/go-dht"
    "gitfox.ru/victor/go-wiringpi"
)

func main() {
    if temp, hum, err := dht.ReadDHT(wiringpi.GPIO_7); err != nil {
        fmt.Println(err)
    } else {
        ftemp := dht.CelsiumToFahrenheit(temp)
        fmt.Printf("Temperature (C): %.1f\nTemperature (F): %.1f\nHumidity:        %.1f\n", temp, ftemp, hum)
    }
}
