package dht

import (
    "fmt"
    "testing"
)

const (
    pin = 7     // GPIO_7
)

func TestReadDHT(t *testing.T) {
    temp, hum, err := ReadDHT(pin)
    fmt.Printf("PIN = %d\n", pin)
    if err != nil {
        t.Errorf("Error: %v\n", err)
    } else {
        ftemp := CelsiumToFahrenheit(temp)
        fmt.Printf("Temperature (C): %.1f\nTemperature (F): %.1f\nHumidity:        %.1f\n", temp, ftemp, hum)
    }
}
